package org.bkt.omfl.blocks;

import net.minecraft.block.AbstractBlock;
import net.minecraft.block.Block;
import net.minecraft.block.Blocks;
import net.minecraft.block.MapColor;
import net.minecraft.block.piston.PistonBehavior;
import net.minecraft.registry.RegistryKey;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.sound.BlockSoundGroup;
import net.minecraft.util.Identifier;
import org.bkt.omfl.OhMyFarmland;

import java.util.function.Function;

public class OmflBlocks {

    public static final Block AMARANTH_CROP = registerCropBlock("amaranth_crop");

    private static Block registerCropBlock(String path) {
        final Identifier identifier = Identifier.of(OhMyFarmland.MOD_ID, path);
        final RegistryKey<Block> registryKey = RegistryKey.of(RegistryKeys.BLOCK, identifier);

        final Function<AbstractBlock.Settings, Block> factory = OmflCropBlock::new;
        final AbstractBlock.Settings settings = AbstractBlock.Settings.create()
                .mapColor(MapColor.DARK_GREEN)
                .noCollision()
                .ticksRandomly()
                .breakInstantly()
                .sounds(BlockSoundGroup.CROP)
                .pistonBehavior(PistonBehavior.DESTROY);
        final Block block = Blocks.register(registryKey, factory, settings);
        return block;
    }

    public static void initialize() {

    }

}
