package org.bkt.omfl.items;

import net.fabricmc.fabric.api.itemgroup.v1.FabricItemGroup;
import net.fabricmc.fabric.api.itemgroup.v1.ItemGroupEvents;
import net.minecraft.item.Item;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.ItemStack;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.registry.RegistryKey;
import net.minecraft.text.Text;
import net.minecraft.util.Identifier;
import org.bkt.omfl.OhMyFarmland;

public class OmflItemGroups {

    public static class OmflItemGroup {
        public OmflItemGroup(String path, Item iconItem) {
            final Identifier identifier = Identifier.of(OhMyFarmland.MOD_ID, path);
            this.itemGroupKey = RegistryKey.of(Registries.ITEM_GROUP.getKey(), identifier);
            this.itemGroup = FabricItemGroup.builder()
                    .icon(() -> new ItemStack(iconItem))
                    .displayName(Text.translatable(String.format("item_group.%s.%s", OhMyFarmland.MOD_ID, path)))
                    .build();
        }

        public RegistryKey<ItemGroup> getItemGroupKey() {
            return this.itemGroupKey;
        }

        public ItemGroup getItemGroup() {
            return this.itemGroup;
        }

        private final RegistryKey<ItemGroup> itemGroupKey;
        private final ItemGroup itemGroup;
    }

    public static final OmflItemGroup CROP_ITEM_GROUP = new OmflItemGroup("crops", OmflItems.AMARANTH);


    public static void initialize() {
        // Register the group.
        Registry.register(Registries.ITEM_GROUP, CROP_ITEM_GROUP.getItemGroupKey(), CROP_ITEM_GROUP.getItemGroup());

        // Register items to the custom item group.
        ItemGroupEvents.modifyEntriesEvent(CROP_ITEM_GROUP.getItemGroupKey()).register(itemGroup -> {
            itemGroup.add(OmflItems.AMARANTH);
            // ...
        });
    }

}
