package org.bkt.omfl.items;

import net.minecraft.component.type.FoodComponent;
import net.minecraft.item.Item;
import net.minecraft.item.Items;
import net.minecraft.block.Block;
import net.minecraft.registry.RegistryKey;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.util.Identifier;
import org.bkt.omfl.OhMyFarmland;
import org.bkt.omfl.blocks.OmflBlocks;

import java.util.function.Function;

public class OmflItems {

    public static final Item AMARANTH = registerCropItem("amaranth", OmflBlocks.AMARANTH_CROP);


    private static Item registerCropItem(String path, Block block) {
        final Identifier identifier = Identifier.of(OhMyFarmland.MOD_ID, path);
        final RegistryKey<Item> registryKey = RegistryKey.of(RegistryKeys.ITEM, identifier);

        final Function<Item.Settings, Item> factory = _setting -> new OmflCropItem(block, _setting.useItemPrefixedTranslationKey());
        final Item.Settings settings = (new Item.Settings()).food(
            new FoodComponent.Builder().alwaysEdible().nutrition(1).saturationModifier(1).build()
        );
        final Item item = Items.register(registryKey, factory, settings);
        return item;
    }

    public static void initialize() {

    }

}
